: Class DragSource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.dnd
Class DragSource

    java.lang.Object
      |
      +--grendel.dnd.DragSource

public class DragSource
extends java.lang.Object

Constructor Summary
`DragSource()`

Method Summary
`java.awt.Cursor` | `getDefaultDragCursor()`
`java.awt.Cursor` | `getDefaultDropCursor()`
`java.awt.Cursor` | `getDefaultNoDropCursor()`
`static DragSource` | `getDragSource(java.awt.Component c)`
`java.awt.Rectangle` | `getDragThresholdBBox(java.awt.Component c, java.awt.Point hotspot)`
`boolean` | `isDragTrigger(java.awt.AWTEvent trigger)`
`void` | `setDefaultDragCursor(java.awt.Cursor c)`
`void` | `setDefaultDropCursor(java.awt.Cursor c)`
`void` | `setDefaultNoDropCursor(java.awt.Cursor c)`
`DragSourceContext` | `startDrag(java.awt.Component c, java.awt.AWTEvent trigger, int actions, java.awt.Image dragImage, java.awt.Point dragImageOffset, java.awt.datatransfer.Transferable transferable, DragSourceListener dsl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSource

    public DragSource()

Method Detail

### getDragSource

    public static DragSource getDragSource(java.awt.Component c)

### startDrag

    public DragSourceContext startDrag(java.awt.Component c,
                                       java.awt.AWTEvent trigger,
                                       int actions,
                                       java.awt.Image dragImage,
                                       java.awt.Point dragImageOffset,
                                       java.awt.datatransfer.Transferable transferable,
                                       DragSourceListener dsl)
                                throws InvalidDnDOperationException

### setDefaultDragCursor

    public void setDefaultDragCursor(java.awt.Cursor c)

### getDefaultDragCursor

    public java.awt.Cursor getDefaultDragCursor()

### setDefaultDropCursor

    public void setDefaultDropCursor(java.awt.Cursor c)

### getDefaultDropCursor

    public java.awt.Cursor getDefaultDropCursor()

### setDefaultNoDropCursor

    public void setDefaultNoDropCursor(java.awt.Cursor c)

### getDefaultNoDropCursor

    public java.awt.Cursor getDefaultNoDropCursor()

### isDragTrigger

    public boolean isDragTrigger(java.awt.AWTEvent trigger)

### getDragThresholdBBox

    public java.awt.Rectangle getDragThresholdBBox(java.awt.Component c,
                                                   java.awt.Point hotspot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD